> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/service-jobs.md).

# Service Jobs

Service Jobs

## get ServiceJobs

> Get service jobs with details

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.job.JobServices.getServiceJobs.Out":{"type":"object","properties":{"serviceJobList":{"type":"array","items":{"type":"object"}},"serviceJobCount":{"type":"integer","format":"int32"}}}}},"paths":{"/serviceJobs":{"get":{"tags":["serviceJobs"],"summary":"get ServiceJobs","description":"Get service jobs with details","parameters":[{"schema":{"type":"string","format":""},"name":"enumName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"enumDescription","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"serviceName","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int64"},"name":"transactionTimeout","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"topic","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"localOnly","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"cronExpression","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"fromDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"thruDate","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int64"},"name":"repeatCount","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"paused","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int64"},"name":"expireLockTime","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int64"},"name":"minRetryTime","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int64"},"name":"priority","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentJobName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"jobTypeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"permissionGroupId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"instanceOfProductId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shopId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"jobName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderByField","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageSize","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.getServiceJobs.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## create ServiceJob

> For ad-hoc (explicitly run) or scheduled service jobs. If cronExpression is null the job will only\
> &#x20;           be run ad-hoc, when explicitly called using ServiceCallJob. If a topic is specified results will be sent to\
> &#x20;           the topic (can be configured using a NotificationTopic record) as a NotificationMessage to the user that\
> &#x20;           called the job explicitly (if applicable) and to users associated with ServiceJobUser records.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.job.ServiceJob.PK":{"title":"Service Job","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.job.ServiceJob.PK"},"jobName":{"type":"string"}}},"moqui.service.job.ServiceJob":{"title":"Service Job","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.job.ServiceJob"},"jobName":{"type":"string"},"description":{"type":"string"},"serviceName":{"type":"string"},"transactionTimeout":{"type":"number","format":"int64"},"topic":{"type":"string"},"localOnly":{"type":"string"},"cronExpression":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"repeatCount":{"type":"number","format":"int64"},"paused":{"type":"string"},"expireLockTime":{"type":"number","format":"int64"},"minRetryTime":{"type":"number","format":"int64"},"priority":{"type":"number","format":"int64"},"parentJobName":{"type":"string"},"jobTypeEnumId":{"type":"string"},"permissionGroupId":{"type":"string"},"instanceOfProductId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/serviceJobs":{"post":{"tags":["serviceJobs"],"summary":"create ServiceJob","description":"For ad-hoc (explicitly run) or scheduled service jobs. If cronExpression is null the job will only\n            be run ad-hoc, when explicitly called using ServiceCallJob. If a topic is specified results will be sent to\n            the topic (can be configured using a NotificationTopic record) as a NotificationMessage to the user that\n            called the job explicitly (if applicable) and to users associated with ServiceJobUser records.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.job.ServiceJob.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.job.ServiceJob"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/moqui.service.job.ServiceJob"}}},"required":false}}}}}
```

## get ServiceJobDetail

> Get service job detail.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.job.JobServices.getServiceJobDetail.Out":{"type":"object","properties":{"jobDetail":{"type":"string"}}}}},"paths":{"/serviceJobs/{jobName}":{"get":{"tags":["serviceJobs"],"summary":"get ServiceJobDetail","description":"Get service job detail.","parameters":[{"schema":{"type":"string"},"name":"jobName","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.getServiceJobDetail.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## update ServiceJob

> Update a service job.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.job.JobServices.updateServiceJob.Out":{"type":"object","properties":{"jobName":{"type":"string"}}},"co.hotwax.job.JobServices.updateServiceJob.In":{"type":"object","properties":{"jobName":{"type":"string"},"description":{"type":"string"},"serviceName":{"type":"string"},"transactionTimeout":{"type":"integer","format":"int64"},"topic":{"type":"string"},"localOnly":{"type":"string"},"cronExpression":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"repeatCount":{"type":"integer","format":"int64"},"paused":{"type":"string"},"expireLockTime":{"type":"integer","format":"int64"},"minRetryTime":{"type":"integer","format":"int64"},"priority":{"type":"integer","format":"int64"},"parentJobName":{"type":"string"},"jobTypeEnumId":{"type":"string"},"permissionGroupId":{"type":"string"},"instanceOfProductId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"},"serviceJobParameters":{"type":"array","items":{"type":"object","properties":{"parameterName":{"type":"string"},"parameterValue":{"type":"string"}}}}}}}},"paths":{"/serviceJobs/{jobName}":{"put":{"tags":["serviceJobs"],"summary":"update ServiceJob","description":"Update a service job.","parameters":[{"schema":{"type":"string"},"name":"jobName","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.updateServiceJob.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.updateServiceJob.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.updateServiceJob.In"}}},"required":true}}}}}
```

## run ServiceJob

> Run a service job.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.job.JobServices.runServiceJob.Out":{"type":"object","properties":{"jobRunId":{"type":"string"}}}}},"paths":{"/serviceJobs/{jobName}/runNow":{"post":{"tags":["serviceJobs"],"summary":"run ServiceJob","description":"Run a service job.","parameters":[{"schema":{"type":"string"},"name":"jobName","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.runServiceJob.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /serviceJobs/{jobName}/runs

> list ServiceJobRun

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.job.ServiceJobRun":{"title":"Service Job Run","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.job.ServiceJobRun"},"jobRunId":{"type":"string"},"jobName":{"type":"string"},"userId":{"type":"string"},"parameters":{"type":"string"},"results":{"type":"string"},"messages":{"type":"string"},"hasError":{"type":"string"},"errors":{"type":"string"},"hostAddress":{"type":"string"},"hostName":{"type":"string"},"runThread":{"type":"string"},"startTime":{"type":"string","format":"date-time"},"endTime":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/serviceJobs/{jobName}/runs":{"get":{"tags":["serviceJobs"],"summary":"list ServiceJobRun","description":null,"parameters":[{"schema":{"type":"string"},"name":"jobName","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"jobRunId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"userId","in":"query","required":false,"description":"The user that initiated the job run"},{"schema":{"type":"string","format":""},"name":"parameters","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"results","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"messages","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"hasError","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"errors","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"hostAddress","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"hostName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"runThread","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"startTime","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"endTime","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.service.job.ServiceJobRun"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /serviceJobs/{jobName}/runs/{jobRunId}

> one ServiceJobRun

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.job.ServiceJobRun":{"title":"Service Job Run","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.job.ServiceJobRun"},"jobRunId":{"type":"string"},"jobName":{"type":"string"},"userId":{"type":"string"},"parameters":{"type":"string"},"results":{"type":"string"},"messages":{"type":"string"},"hasError":{"type":"string"},"errors":{"type":"string"},"hostAddress":{"type":"string"},"hostName":{"type":"string"},"runThread":{"type":"string"},"startTime":{"type":"string","format":"date-time"},"endTime":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/serviceJobs/{jobName}/runs/{jobRunId}":{"get":{"tags":["serviceJobs"],"summary":"one ServiceJobRun","description":null,"parameters":[{"schema":{"type":"string"},"name":"jobName","in":"path","required":true,"description":null},{"schema":{"type":"string"},"name":"jobRunId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.job.ServiceJobRun"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## one ServiceJobRunLock

> Runtime data for a scheduled ServiceJob (with a cronExpression), managed automatically by the service job runner.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.job.ServiceJobRunLock":{"title":"Service Job Run Lock","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.job.ServiceJobRunLock"},"jobName":{"type":"string"},"jobRunId":{"type":"string"},"lastRunTime":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/serviceJobs/{jobName}/runs/activeJobRun":{"get":{"tags":["serviceJobs"],"summary":"one ServiceJobRunLock","description":"Runtime data for a scheduled ServiceJob (with a cronExpression), managed automatically by the service job runner.","parameters":[{"schema":{"type":"string"},"name":"jobName","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/moqui.service.job.ServiceJobRunLock"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## clone ServiceJob

> Service to clone existing Service Job.The new Service Job will be created in the Paused state and\
> &#x20;           will have the reference of Service Job it was created from in parentJobName field.\
> &#x20;           All the Service Job Parameters will be copied to the new job, as the default value of copyParameters is set to true.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.job.JobServices.cloneServiceJob.In":{"type":"object","properties":{"jobName":{"type":"string","description":"The name of the Service Job to be cloned."},"newJobName":{"type":"string","description":"The name of the new Service Job."},"copyParameters":{"type":"boolean","description":"Parameter to check if the Service Job parameters needs to be cloned.","default":"{true}"}},"required":["jobName","newJobName"]}}},"paths":{"/serviceJobs/{jobName}/clone":{"post":{"tags":["serviceJobs"],"summary":"clone ServiceJob","description":"Service to clone existing Service Job.The new Service Job will be created in the Paused state and\n            will have the reference of Service Job it was created from in parentJobName field.\n            All the Service Job Parameters will be copied to the new job, as the default value of copyParameters is set to true.","parameters":[{"schema":{"type":"string"},"name":"jobName","in":"path","required":true,"description":"The name of the Service Job to be cloned."}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.cloneServiceJob.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.job.JobServices.cloneServiceJob.In"}}},"required":true}}}}}
```

## GET /serviceJobs/runs

> list ServiceJobRun

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"serviceJobs","description":"Service Jobs"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.job.ServiceJobRun":{"title":"Service Job Run","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.job.ServiceJobRun"},"jobRunId":{"type":"string"},"jobName":{"type":"string"},"userId":{"type":"string"},"parameters":{"type":"string"},"results":{"type":"string"},"messages":{"type":"string"},"hasError":{"type":"string"},"errors":{"type":"string"},"hostAddress":{"type":"string"},"hostName":{"type":"string"},"runThread":{"type":"string"},"startTime":{"type":"string","format":"date-time"},"endTime":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/serviceJobs/runs":{"get":{"tags":["serviceJobs"],"summary":"list ServiceJobRun","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"jobRunId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"jobName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"userId","in":"query","required":false,"description":"The user that initiated the job run"},{"schema":{"type":"string","format":""},"name":"parameters","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"results","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"messages","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"hasError","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"errors","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"hostAddress","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"hostName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"runThread","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"startTime","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"endTime","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.service.job.ServiceJobRun"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/service-jobs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
